<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: Namespace Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index_o"></a>- o -</h3><ul>
<li>OFFSET()
: <a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#ab315a97aa709149c52e8bb874899463b">alexaClientSDK::mediaPlayer::test</a>
</li>
<li>onNameAcquired()
: <a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test.html#af178a93ae2ad92d894ea619f63925ae7">alexaClientSDK::bluetoothImplementations::blueZ::test</a>
</li>
<li>onNameLost()
: <a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test.html#aad84bdbb5fcf9445d5d029f40bd3c62c">alexaClientSDK::bluetoothImplementations::blueZ::test</a>
</li>
<li>openSQLiteDatabase()
: <a class="el" href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage.html#a268b749423c787170850ae55fb589f74">alexaClientSDK::storage::sqliteStorage</a>
</li>
<li>openSQLiteDatabaseHelper()
: <a class="el" href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage.html#a2a47474bfa8db0122931396d744703ca">alexaClientSDK::storage::sqliteStorage</a>
</li>
<li>operator!=()
: <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a332ae2d994f93e312c438f3fb555ac7e">alexaClientSDK::avsCommon::avs</a>
</li>
<li>operator&lt;&lt;()
: <a class="el" href="namespacealexa_client_s_d_k_1_1acl.html#a2fa363fbf0864cee86273f59ecc4ea8e">alexaClientSDK::acl</a>
, <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment.html#a149fd710eabcba9dc116fc220c326fa7">alexaClientSDK::avsCommon::avs::attachment</a>
, <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a2cbd51cd6a7650cfa08420a0d25808de">alexaClientSDK::avsCommon::avs</a>
, <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#aa41e8bf5cdca313769fd238ec8df92f8">alexaClientSDK::avsCommon::sdkInterfaces::audio</a>
, <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth.html#ae517e724c83cfa90e33118b3301ea03e">alexaClientSDK::avsCommon::sdkInterfaces::bluetooth</a>
, <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services.html#ad00c4c77077015a4fe3ddb9e7965dd64">alexaClientSDK::avsCommon::sdkInterfaces::bluetooth::services</a>
, <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces.html#aa4b23721d719664f79fefab1946ac163">alexaClientSDK::avsCommon::sdkInterfaces</a>
, <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2.html#a8ef0ab8ce47cad5e9e8b72987909298f">alexaClientSDK::avsCommon::utils::http2</a>
, <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http.html#afa49cf0919a290d9a2932bea3de642b7">alexaClientSDK::avsCommon::utils::http</a>
, <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1json_1_1json_utils.html#a897d15d66f540d6a324462f98ddbcdee">alexaClientSDK::avsCommon::utils::json::jsonUtils</a>
, <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#aad0674cce8aff8a1a5ee6f7cfebbbd5c">alexaClientSDK::avsCommon::utils::logger</a>
, <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player.html#ad3048e030f0a324bac28bb0be757bcf2">alexaClientSDK::avsCommon::utils::mediaPlayer</a>
, <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html#afcab22c99d77dbc82469cf8a1eef46be">alexaClientSDK::avsCommon::utils</a>
, <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser.html#a2f0858ab757f68fc68c8a412162671b8">alexaClientSDK::avsCommon::utils::playlistParser</a>
, <a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#a897e9b7720684af030bd55d59ca3f4d7">alexaClientSDK::bluetoothImplementations::blueZ</a>
, <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a9bba266e6b0d85bbcc952295c1370bc1">alexaClientSDK::capabilityAgents::aip</a>
, <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#aa8f86638a8b36015419a0eed567465af">alexaClientSDK::capabilityAgents::alerts</a>
, <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer.html#a3d599de7116bc9b4a6e459fb9c436e6a">alexaClientSDK::capabilityAgents::alerts::renderer</a>
, <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1audio_player.html#ad9f71aada7b9a716e16383ed5d4c3ca4">alexaClientSDK::capabilityAgents::audioPlayer</a>
, <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a5c7b0bcd74dd52f6104ee9e011e71404">alexaClientSDK::capabilityAgents::notifications</a>
, <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a5db784eab7caecdf362454a1ccf58584">alexaClientSDK::capabilityAgents::playbackController</a>
, <a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android.html#ae4b90cca6d6b396517ea581b12a17a6c">alexaClientSDK::mediaPlayer::android</a>
, <a class="el" href="namespacealexa_client_s_d_k_1_1settings_1_1test.html#a0666321c8d1799f83715978b41d8153c">alexaClientSDK::settings::test</a>
</li>
<li>operator==()
: <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a9757cb5209be77d3903af2659fd24bd7">alexaClientSDK::avsCommon::avs</a>
, <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a706d31c0871558653a14349fe34dd2e1">alexaClientSDK::avsCommon::sdkInterfaces::audio</a>
, <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a7f2ea874548f8ecc8ac1e40f03d5f2d4">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer</a>
</li>
<li>operator&gt;&gt;()
: <a class="el" href="namespacealexa_client_s_d_k_1_1settings_1_1test.html#a97869e64b248a863da224fa1e366cfa3">alexaClientSDK::settings::test</a>
</li>
<li>outboundRingtoneFactory()
: <a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio.html#a57c962800953b3cf721d43f0199b3503">alexaClientSDK::applicationUtilities::resources::audio</a>
</li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
